//THE FILE IS GENERATED, DO NOT MODIFY IT MANUALLY!!!
package tech.carpentum.sdk.payment.internal.generated.infrastructure;


import com.squareup.moshi.Moshi;
import tech.carpentum.sdk.payment.internal.generated.model.*;

public class AdaptersForModelClasses {
    public static void addAdapters(Moshi.Builder moshiBuilder) {
        moshiBuilder.add(new AbsaPayMethodJsonAdapter());
        moshiBuilder.add(new AbsaPayMethodResponseJsonAdapter());
        moshiBuilder.add(new AccountCallbackAbsaPayJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseAbsaPayJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseCapitecPayJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseCodePaymentJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseDuitNowJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseMobileMoneyJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseOfflineJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponsePayMeJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponsePayShapJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponsePromptPayJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseQrPhJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseUpiQRJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseVaPayJsonAdapter());
        moshiBuilder.add(new AccountCustomerResponseVaPayVerifJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestAbsaPayJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestCapitecPayJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestCodePaymentJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestDuitNowJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestEWalletJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestIMPSJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestMobileMoneyJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestNetBankingJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestOfflineJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestOnlineJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestP2AV2JsonAdapter());
        moshiBuilder.add(new AccountPayinRequestPayMeJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestPayShapJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestPromptPayJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestQrPhJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestQrisPayJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestUpiQRJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestVaPayJsonAdapter());
        moshiBuilder.add(new AccountPayinRequestVaPayVerifJsonAdapter());
        moshiBuilder.add(new AccountPayoutRequestBankTransferJsonAdapter());
        moshiBuilder.add(new AccountPayoutRequestCryptoTransferJsonAdapter());
        moshiBuilder.add(new AccountPayoutRequestWalletTransferJsonAdapter());
        moshiBuilder.add(new AccountResponseCodePaymentJsonAdapter());
        moshiBuilder.add(new AccountResponseCryptoOfflineJsonAdapter());
        moshiBuilder.add(new AccountResponseDetailJsonAdapter());
        moshiBuilder.add(new AccountResponseOfflineJsonAdapter());
        moshiBuilder.add(new AccountResponseOnlyWithBankJsonAdapter());
        moshiBuilder.add(new AccountResponseP2AV2JsonAdapter());
        moshiBuilder.add(new AccountResponsePayMeJsonAdapter());
        moshiBuilder.add(new AccountResponseQrPhJsonAdapter());
        moshiBuilder.add(new AccountResponseWithBankJsonAdapter());
        moshiBuilder.add(new AccountSettlementRequestCryptoTransferJsonAdapter());
        moshiBuilder.add(new AuthTokenActionJsonAdapter());
        moshiBuilder.add(new AuthTokenByActionRequestJsonAdapter());
        moshiBuilder.add(new AuthTokenRequestJsonAdapter());
        moshiBuilder.add(new AuthTokenResponseJsonAdapter());
        moshiBuilder.add(new AvailableForexCurrencyPairJsonAdapter());
        moshiBuilder.add(new AvailableForexCurrencyPairListJsonAdapter());
        moshiBuilder.add(new AvailablePayinOptionJsonAdapter());
        moshiBuilder.add(new AvailablePayinOptionListJsonAdapter());
        moshiBuilder.add(new AvailablePayinOptionVariantCurrencyJsonAdapter());
        moshiBuilder.add(new AvailablePayoutOptionJsonAdapter());
        moshiBuilder.add(new AvailablePayoutOptionListJsonAdapter());
        moshiBuilder.add(new AvailableTopUpOptionJsonAdapter());
        moshiBuilder.add(new AvailableTopUpOptionsJsonAdapter());
        moshiBuilder.add(new BalanceJsonAdapter());
        moshiBuilder.add(new BalanceListJsonAdapter());
        moshiBuilder.add(new BankTransferMethodJsonAdapter());
        moshiBuilder.add(new BankTransferMethodResponseJsonAdapter());
        moshiBuilder.add(new BasicErrorJsonAdapter());
        moshiBuilder.add(new CapitecPayMethodJsonAdapter());
        moshiBuilder.add(new CapitecPayMethodResponseJsonAdapter());
        moshiBuilder.add(new ChannelInfoJsonAdapter());
        moshiBuilder.add(new CodePaymentMethodJsonAdapter());
        moshiBuilder.add(new CodePaymentMethodResponseJsonAdapter());
        moshiBuilder.add(new CommaSeparatedCurrencyCodesJsonAdapter());
        moshiBuilder.add(new CryptoOfflineMethodJsonAdapter());
        moshiBuilder.add(new CryptoOfflineMethodResponseJsonAdapter());
        moshiBuilder.add(new CryptoTransferMethodJsonAdapter());
        moshiBuilder.add(new CryptoTransferMethodResponseJsonAdapter());
        moshiBuilder.add(new CurrencyCodeJsonAdapter());
        moshiBuilder.add(new CurrencyJsonAdapter());
        moshiBuilder.add(new CurrencyListJsonAdapter());
        moshiBuilder.add(new CustomerTransactionFeeJsonAdapter());
        moshiBuilder.add(new DuitNowMethodJsonAdapter());
        moshiBuilder.add(new DuitNowPayMethodResponseJsonAdapter());
        moshiBuilder.add(new EWalletMethodJsonAdapter());
        moshiBuilder.add(new EWalletMethodResponseJsonAdapter());
        moshiBuilder.add(new ExternalProviderJsonAdapter());
        moshiBuilder.add(new ExternalProvidersJsonAdapter());
        moshiBuilder.add(new ExternalReferenceJsonAdapter());
        moshiBuilder.add(new FailureReasonCodeJsonAdapter());
        moshiBuilder.add(new FailureReasonsJsonAdapter());
        moshiBuilder.add(new ForexRateJsonAdapter());
        moshiBuilder.add(new ForexRateListJsonAdapter());
        moshiBuilder.add(new GetFxRatesErrorJsonAdapter());
        moshiBuilder.add(new GetPayinErrorJsonAdapter());
        moshiBuilder.add(new GetPaymentOptionsErrorJsonAdapter());
        moshiBuilder.add(new GetPayoutErrorJsonAdapter());
        moshiBuilder.add(new GetTopupErrorJsonAdapter());
        moshiBuilder.add(new IMPSMethodJsonAdapter());
        moshiBuilder.add(new IMPSMethodResponseJsonAdapter());
        moshiBuilder.add(new IdPayinJsonAdapter());
        moshiBuilder.add(new IdPaymentJsonAdapter());
        moshiBuilder.add(new IdPayoutJsonAdapter());
        moshiBuilder.add(new IntervalNumberToJsonAdapter());
        moshiBuilder.add(new MerchantInfoJsonAdapter());
        moshiBuilder.add(new MobileMoneyMethodJsonAdapter());
        moshiBuilder.add(new MobileMoneyMethodResponseJsonAdapter());
        moshiBuilder.add(new MoneyFeeJsonAdapter());
        moshiBuilder.add(new MoneyJsonAdapter());
        moshiBuilder.add(new MoneyPaymentRequestedJsonAdapter());
        moshiBuilder.add(new MoneyPaymentResponseJsonAdapter());
        moshiBuilder.add(new MoneyRequiredJsonAdapter());
        moshiBuilder.add(new MoneyVatJsonAdapter());
        moshiBuilder.add(new NetBankingMethodJsonAdapter());
        moshiBuilder.add(new NetBankingMethodResponseJsonAdapter());
        moshiBuilder.add(new OfflineMethodJsonAdapter());
        moshiBuilder.add(new OfflineMethodResponseJsonAdapter());
        moshiBuilder.add(new OnlineMethodJsonAdapter());
        moshiBuilder.add(new OnlineMethodResponseJsonAdapter());
        moshiBuilder.add(new P2AV2MethodJsonAdapter());
        moshiBuilder.add(new P2AV2MethodResponseJsonAdapter());
        moshiBuilder.add(new PayMeMethodJsonAdapter());
        moshiBuilder.add(new PayMeMethodResponseJsonAdapter());
        moshiBuilder.add(new PayShapMethodJsonAdapter());
        moshiBuilder.add(new PayShapMethodResponseJsonAdapter());
        moshiBuilder.add(new PayinAcceptedMethodResponseJsonAdapter());
        moshiBuilder.add(new PayinAcceptedRedirectResponseJsonAdapter());
        moshiBuilder.add(new PayinAcceptedResponseJsonAdapter());
        moshiBuilder.add(new PayinDetailJsonAdapter());
        moshiBuilder.add(new PayinJsonAdapter());
        moshiBuilder.add(new PayinMethodCodeJsonAdapter());
        moshiBuilder.add(new PayinMethodJsonAdapter());
        moshiBuilder.add(new PayinMethodResponseJsonAdapter());
        moshiBuilder.add(new PaymentAccountDetailJsonAdapter());
        moshiBuilder.add(new PaymentAddressJsonAdapter());
        moshiBuilder.add(new PaymentInstructionJsonAdapter());
        moshiBuilder.add(new PaymentMethodJsonAdapter());
        moshiBuilder.add(new PaymentMethodsListJsonAdapter());
        moshiBuilder.add(new PaymentOperatorIncomingJsonAdapter());
        moshiBuilder.add(new PaymentOperatorListJsonAdapter());
        moshiBuilder.add(new PaymentOperatorOptionJsonAdapter());
        moshiBuilder.add(new PaymentOperatorOutgoingJsonAdapter());
        moshiBuilder.add(new PaymentOptionJsonAdapter());
        moshiBuilder.add(new PaymentOptionsListJsonAdapter());
        moshiBuilder.add(new PaymentProcessJsonAdapter());
        moshiBuilder.add(new PaymentProcessorJsonAdapter());
        moshiBuilder.add(new PaymentRequestedJsonAdapter());
        moshiBuilder.add(new PaymentStatusJsonAdapter());
        moshiBuilder.add(new PayoutAcceptedJsonAdapter());
        moshiBuilder.add(new PayoutDetailJsonAdapter());
        moshiBuilder.add(new PayoutJsonAdapter());
        moshiBuilder.add(new PayoutMethodCodeJsonAdapter());
        moshiBuilder.add(new PayoutMethodJsonAdapter());
        moshiBuilder.add(new PayoutMethodResponseJsonAdapter());
        moshiBuilder.add(new PostAuthTokensErrorJsonAdapter());
        moshiBuilder.add(new PostAvailablePayinOptionsErrorJsonAdapter());
        moshiBuilder.add(new PostAvailablePayoutOptionsErrorJsonAdapter());
        moshiBuilder.add(new PostAvailableTopUpOptionsErrorJsonAdapter());
        moshiBuilder.add(new PostPayinsErrorJsonAdapter());
        moshiBuilder.add(new PostPayoutsErrorJsonAdapter());
        moshiBuilder.add(new ProcessorStatusJsonAdapter());
        moshiBuilder.add(new PromptPayMethodJsonAdapter());
        moshiBuilder.add(new PromptPayMethodResponseJsonAdapter());
        moshiBuilder.add(new QrPhMethodJsonAdapter());
        moshiBuilder.add(new QrPhMethodResponseJsonAdapter());
        moshiBuilder.add(new QrisPayMethodJsonAdapter());
        moshiBuilder.add(new QrisPayMethodResponseJsonAdapter());
        moshiBuilder.add(new RedirectionJsonAdapter());
        moshiBuilder.add(new SegmentCodeJsonAdapter());
        moshiBuilder.add(new SegmentJsonAdapter());
        moshiBuilder.add(new SegmentListJsonAdapter());
        moshiBuilder.add(new SelectedPaymentOperatorIncomingJsonAdapter());
        moshiBuilder.add(new SettlementCryptoTransferMethodJsonAdapter());
        moshiBuilder.add(new SettlementMethodCodeJsonAdapter());
        moshiBuilder.add(new SettlementMethodJsonAdapter());
        moshiBuilder.add(new SettlementPaymentOptionJsonAdapter());
        moshiBuilder.add(new SettlementPaymentOptionsListJsonAdapter());
        moshiBuilder.add(new TopUpAcceptedMethodResponseJsonAdapter());
        moshiBuilder.add(new TopUpAcceptedRedirectResponseJsonAdapter());
        moshiBuilder.add(new TopUpAcceptedResponseJsonAdapter());
        moshiBuilder.add(new TopUpDetailJsonAdapter());
        moshiBuilder.add(new TopUpJsonAdapter());
        moshiBuilder.add(new TopUpRequestedDetailJsonAdapter());
        moshiBuilder.add(new TopUpRequestedJsonAdapter());
        moshiBuilder.add(new TopUpRequestedMoneyProvidedJsonAdapter());
        moshiBuilder.add(new TopUpRequestedMoneyRequiredJsonAdapter());
        moshiBuilder.add(new UpiIdMethodJsonAdapter());
        moshiBuilder.add(new UpiIdMethodResponseJsonAdapter());
        moshiBuilder.add(new UpiQRMethodJsonAdapter());
        moshiBuilder.add(new UpiQRMethodResponseJsonAdapter());
        moshiBuilder.add(new VaPayMethodJsonAdapter());
        moshiBuilder.add(new VaPayMethodResponseJsonAdapter());
        moshiBuilder.add(new VaPayVerifMethodJsonAdapter());
        moshiBuilder.add(new VaPayVerifMethodResponseJsonAdapter());
        moshiBuilder.add(new VietQRMethodJsonAdapter());
        moshiBuilder.add(new VietQRMethodResponseJsonAdapter());
        moshiBuilder.add(new WalletTopUpOptionJsonAdapter());
        moshiBuilder.add(new WalletTopUpOptionsListJsonAdapter());
        moshiBuilder.add(new WalletTransferMethodJsonAdapter());
        moshiBuilder.add(new WalletTransferMethodResponseJsonAdapter());
    }
}